%include	/usr/lib/rpm/macros.php
%define		_class		HTML
%define		_subclass	Template
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}_IT

Summary:	%{_pearname} - Integrated Templates
Summary(pl.UTF-8):	%{_pearname} - zintegrowane szablony
Name:		php-pear-%{_pearname}
Version:	1.3.1
Release:	1
License:	Modified BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	16d37c2c5ab7dd19fbd12c406d1f03cf
URL:		http://pear.php.net/package/HTML_Template_IT/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-PEAR-core
Obsoletes:	php-pear-HTML_Template_IT-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# included in tests
%define		_noautoreq 'pear(Console_TestListener.php)' 'pear(IT_api_testcase.php)' 'pear(IT_usage_testcase.php)'

%description
HTML_Template_IT: Simple template API. The Isotemplate API is somewhat
tricky for a beginner although it is the best one you can build.
template::parse() [phplib template = Isotemplate] requests you to name
a source and a target where the current block gets parsed into. Source
and target can be block names or even handler names. This API gives
you a maximum of fexibility but you always have to know what you do
which is quite unusual for PHP skripter like me. I noticed that I do
not any control on which block gets parsed into which one. If all
blocks are within one file, the script knows how they are nested and
in which way you have to parse them. IT knows that inner1 is a child
of block2, there's no need to tell him about this. Features:
 - Nested blocks,
 - Include external file,
 - Custom tags format (default {mytag}).

HTML_Template_ITX: With this class you get the full power of the
phplib template class. You may have one file with blocks in it but you
have as well one main file and multiple files one for each block. This
is quite useful when you have user configurable websites. Using blocks
not in the main template allows you to modify some parts of your
layout easily.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
HTML_Template_IT - proste API do szablonów. API Isotemplate (template
z phplib) jest nieco zawiłe dla początkujących, ale jest najlepszym
jakie można uzyskać. template::parse() wymaga nazwania źródła i celu,
do którego przetworzony będzie aktualny blok. Źródło i cel mogą być
nazwami bloków lub nawet nazwami funkcji obsługujących. To API daje
maksymalną elastyczność, ale wymaga zawsze wiedzy, co się robi, co nie
jest normalnym stanem dla niektórych autorów skryptów PHP, takich jak
autor tego modułu. Zauważył on, że nie potrzebuje żadnej kontroli,
który blok zostaje przetworzony na który. Jeżeli wszystkie bloki są w
jednym pliku, skrypt wie, jak są zagnieżdżone i w jaki sposób powinny
zostać przetworzone. IT wie, że inner1 jest potomkiem block2, nie ma
potrzeby podawania mu tych informacji. Możliwości:
 - zagnieżdżone bloki,
 - dołączanie zewnętrznych plików,
 - własny format znaczników (domyślnie {mytag}).

HTML_Template_ITX - ta klasa daje całą siłę klasy szablonów z phplib.
Można mieć jeden plik z blokami, ale można także mieć jeden główny
plik i wiele plików zawierających po jednym bloku. Jest to przydatne,
aby pozwolić użytkownikowi na konfigurowalne serwisy. Przez użycie
bloków spoza głównego szablonu pozwala się na łatwe modyfikowanie
niektórych części wyglądu.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/%{_subclass}/*.php
%changelog
* Sun Feb 24 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-HTML_Template_IT.git;a=log;h=master

* Sun Feb 24 2019 Adam Gołębiowski <adamg@pld-linux.org> bf16dd3
- updated to 1.3.1

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 3a11085
- release 2

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 443dc57
- dropped -tests subpackage

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> 4275945
- updated to: 1.3.0

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 7305001
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b673d64
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5ceb787
- converted to UTF-8

* Mon Sep 04 2006 Adam Gołębiowski <adamg@pld-linux.org> d919dbb
- license fix

* Sat Sep 02 2006 Adam Gołębiowski <adamg@pld-linux.org> 5274afe
- updated to 1.2.1

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 61aeeae
- BR rpm-build macros >= 1.300 for %pear_ macros

* Mon Apr 24 2006 Adam Gołębiowski <adamg@pld-linux.org> eae668e
- updated to 1.1.4

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 6d51bce
- AutoProv: no for -tests

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> 5657745
- rel 2 (rebuild with less deps)

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 1f8eb0b
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> bd0afe5
- group Development/Languages/PHP for -tests

* Thu Feb 16 2006 Elan Ruusamäe <glen@pld-linux.org> 2149e04
- require php-pear-PEAR-core, not the full PEAR package with deps

* Sun Jan 08 2006 Elan Ruusamäe <glen@pld-linux.org> 9d14689
- AutoReq: no for -tests

* Thu Nov 03 2005 Elan Ruusamäe <glen@pld-linux.org> 10b71be
- 1.1.3

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> 2aef703
- 1.1.2

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 0cf59a5
- rel 3

